#pragma once

#include <library/cpp/http/misc/httpreqdata.h>
#include <library/cpp/logger/file.h>

#include <util/generic/string.h>

class TLogsCollector {
public:
    TLogsCollector(const TString& logPath, size_t queueSize);

    void CollectRequest(TStringBuf body, const TServerRequestData& reqData);

    void ReopenLog();

private:
    THolder<TLogBackend> Log_;
};
